## gnome-session 46.0

=== debian/changelog ===
gnome-session (46.0-8ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Remove Recommends: fonts-inter-variable
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 11:23:22 -0400

gnome-session (46.0-8) unstable; urgency=medium

  * Team upload
  * d/p/gnome-session-wrapper-Avoid-running-as-a-subprocess.patch:
    Add proposed patch to avoid an excess subprocess in the wrapper script.
    This fixes the gnome-settings-daemon 47~rc test suite.

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Sep 2024 13:31:43 +0100

gnome-session (46.0-7ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Have gnome-session depend on libjxl-gdk-pixbuf
  * Split the Ubuntu on Xorg session to a separate package:
    ubuntu-session-xsession. Have ubuntu-session Recommend that package
  * Drop obsolete Breaks/Replaces
  * Drop Recommends: fonts-inter-variable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 17:39:42 -0400

gnome-session (46.0-7) unstable; urgency=medium

  * Remove patch to revert portal change now that Debian Testing has
    xdg-desktop-portal-gnome 46

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 17:24:37 -0400

gnome-session (46.0-6) unstable; urgency=medium

  * Depend on fonts-cantarell again (Closes: #1078434)

