=== debian/control ===
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-migrations,
               dh-sequence-gnome,
               libdbus-1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev (>= 2.46.0),
               libgnome-desktop-3-dev (>= 3.34.2),
               libgtk-3-dev (>= 3.22.0),
               libice-dev,
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libsystemd-dev (>= 209),
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               meson (>= 0.53.0),
               systemd-dev,
               xmlto,
               xsltproc,
               xtrans-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
Homepage: https://wiki.gnome.org/Projects/SessionManagement

Package: gnome-session
Architecture: all
Depends: adwaita-icon-theme,
         fonts-cantarell,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         libjxl-gdk-pixbuf,
         xdg-desktop-portal-gnome,
         xwayland,
         ${misc:Depends}
Recommends: gnome-session-xsession
Suggests: desktop-base,
          gnome-keyring
Provides: x-session-manager
Description: GNOME Session Manager - default GNOME session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-session-xsession
Breaks: gnome-session (<< 46.0-4~)
Replaces: gnome-session (<< 46.0-4~)
Architecture: all
Depends: gnome-session (= ${binary:Version})
Provides: x-session-manager
Description: GNOME Session Manager - GNOME on Xorg session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the GNOME on Xorg
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-startup-applications
Architecture: any
Depends: gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (>= ${source:Version}),
         ${misc:Depends}
Breaks: gnome-session-bin (<< 3.28.0-0ubuntu4~),
        gnome-session-common (<< 3.28.0-0ubuntu4~)
Replaces: gnome-session-bin (<< 3.28.0-0ubuntu4~),
          gnome-session-common (<< 3.28.0-0ubuntu4~)
Description: Startup Applications manager for GNOME
 The Startup Applications Preferences app allows configuring
 applications to run automatically when logging in to your desktop.
 This app complies with the FreeDesktop.org Desktop Application Autostart
 Specification so it will work even if your chosen desktop is not GNOME.

Package: ubuntu-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         xdg-desktop-portal-gnome,
         xwayland,
         yaru-theme-gnome-shell (>= 20.04.3~),
         ${misc:Depends}
Recommends: python3,
            session-migration,
            ubuntu-session-xsession
Provides: x-session-manager
Description: Ubuntu session with GNOME Shell
 This package contains the required components for a GNOME session
 with default Ubuntu configuration, based on the GNOME Shell.

Package: ubuntu-session-xsession
Architecture: all
Depends: ubuntu-session (= ${binary:Version})
Breaks: ubuntu-session (<= 46),
Replaces: gnome-session (<= 3.29.90-1ubuntu1)
Provides: x-session-manager
Description: Ubuntu on Xorg session with GNOME Shell
 This package contains the required components for a GNOME on Xorg session
 with default Ubuntu configuration, based on the GNOME Shell.

Package: unity-session
Architecture: all
Depends: dbus-user-session,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         systemd (>= 231-9git1~),
         unity,
         unity-settings-daemon,
         ${misc:Depends}
Recommends: gtk3-nocsd,
            rhythmbox-plugin-zeitgeist,
            session-migration,
            zeitgeist-datahub
Provides: x-session-manager
Description: Unity session, previous ubuntu default experience.
 This package contains the required components for the Unity session.
 It can be started from a display manager such as LightDM.

Package: gnome-session-bin
Architecture: linux-any
Depends: default-dbus-session-bus | dbus-session-bus,
         gsettings-desktop-schemas,
         upower (>= 0.9.0),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-startup-applications,
            default-logind | logind
Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.
