## gnome-session 47.0.1

=== debian/changelog ===
gnome-session (47.0.1-2ubuntu3) plucky; urgency=medium

  * No change upload to trigger a launchpad translations import

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Apr 2025 20:37:50 +0200

gnome-session (47.0.1-2ubuntu2) plucky; urgency=medium

  * Update d/p/ubuntu/dbus_request_shutdown.patch (LP: #2100965):
    The original implementation of the RequestReboot and RequestShutdown,
    introduced by this patch, were no longer working. This fixes it by
    simply relaying the call to Reboot and Shutdown methods, instead of
    nearly duplicating them.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 19 Mar 2025 15:57:10 +0100

gnome-session (47.0.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * gnome-mimeapps.list: Use Papers as default for the formats it supports

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Mar 2025 17:14:06 -0500

gnome-session (47.0.1-2) unstable; urgency=medium

  * Move Depends: xwayland from gnome-session-bin to gnome-session
    (Closes: #1072342)
  * Remove Recommends: fonts-variable since it's currently unused

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Mar 2025 16:45:45 -0500

gnome-session (47.0.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Remove Recommends: fonts-inter-variable
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

