=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                libdbus-1-dev,
                libgl-dev,
                libgles-dev,
-               libglib2.0-dev (>= 2.46.0),
-               libgnome-desktop-3-dev (>= 3.34.2),
-               libgtk-3-dev (>= 3.22.0),
+               libglib2.0-dev,
+               libgnome-desktop-3-dev,
+               libgtk-3-dev,
                libice-dev,
-               libjson-glib-dev (>= 0.10),
+               libjson-glib-dev,
                libsm-dev,
-               libsystemd-dev (>= 209),
+               libsystemd-dev,
                libx11-dev,
                libxau-dev,
                libxcomposite-dev,
@@ -24,7 +24,7 @@
                libxrender-dev,
                libxt-dev,
                libxtst-dev,
-               meson (>= 0.53.0),
+               meson,
                systemd-dev,
                xmlto,
                xsltproc,
@@ -42,8 +42,8 @@
          gnome-session-bin (<< ${gnome:NextVersion}),
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
-         gnome-settings-daemon (>= 3.37.0),
-         gnome-shell (>= 3.37.91),
+         gnome-settings-daemon,
+         gnome-shell,
          libjxl-gdk-pixbuf,
          xdg-desktop-portal-gnome,
          xwayland,
@@ -66,7 +66,7 @@
 Breaks: gnome-session (<< 46.0-4~)
 Replaces: gnome-session (<< 46.0-4~)
 Architecture: all
-Depends: gnome-session (= ${binary:Version})
+Depends: gnome-session (= ${binary:Version}), ${misc:Depends}
 Provides: x-session-manager
 Description: GNOME Session Manager - GNOME on Xorg session
  The GNOME Session Manager is in charge of starting the core components
@@ -145,7 +145,7 @@
 Architecture: linux-any
 Depends: default-dbus-session-bus | dbus-session-bus,
          gsettings-desktop-schemas,
-         upower (>= 0.9.0),
+         upower,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-startup-applications,
