=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dman=true
+		-Dman=true \
+		-Dx11=true
 
 execute_before_dh_install:
 	cd debian/tmp/usr/share; \
