## gnome-session 48.0

=== debian/changelog ===
gnome-session (48.0-2) unstable; urgency=medium

  * Team upload
  * d/control, d/gbp.conf, d/watch: Set branch for testing/unstable
  * d/gnome-mimeapps.list: Prefer Papers for PDF etc., falling back
    to Evince if Papers is not installed.
    Since gnome-core_1:49+1, our metapackages install Papers rather
    than Evince.
    Papers doesn't support some document formats that Evince did, like
    Postscript and DVI. Continue to prefer only Evince for those.
    (Closes: #1115704)
  * d/gnome-mimeapps.list: Prefer Showtime for videos, falling back
    to Totem if Showtime is not installed.
    Since gnome-core_1:49+1, our metapackages install showtime rather
    than totem.
    showtime is only a file-based video player and isn't designed to
    play audio, playlists or DVDs, so continue to refer to only totem
    for the formats not supported by showtime.
  * d/gnome-mimeapps.desktop: Prefer org.gnome.Yelp.desktop for help
    files.
    The .desktop file was renamed in version 49, which is currently in
    unstable and should migrate to testing soon. Keep yelp.desktop as
    a fallback for now, in case its migration gets delayed.
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Sep 2025 11:49:02 +0100

gnome-session (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove subprocess patch: applied in new release
  * debian/gnome-session.docs: README → README.md
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 14:41:04 -0400
