=== debian/control ===
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               libdbus-1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libgnome-desktop-3-dev,
               libgtk-3-dev,
               libice-dev,
               libjson-glib-dev,
               libsm-dev,
               libsystemd-dev,
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               meson,
               systemd-dev,
               xmlto,
               xsltproc,
               xtrans-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git -b debian/forky
Homepage: https://gitlab.gnome.org/GNOME/gnome-session

Package: gnome-session
Architecture: all
Depends: adwaita-icon-theme,
         fonts-cantarell,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon,
         gnome-shell,
         xdg-desktop-portal-gnome,
         xwayland,
         ${misc:Depends}
Recommends: gnome-session-xsession
Suggests: desktop-base,
          gnome-keyring
Provides: x-session-manager
Description: GNOME Session Manager - default GNOME session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-session-xsession
Breaks: gnome-session (<< 46.0-4~)
Replaces: gnome-session (<< 46.0-4~)
Architecture: all
Depends: gnome-session (= ${binary:Version}), ${misc:Depends}
Provides: x-session-manager
Description: GNOME Session Manager - GNOME on Xorg session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the GNOME on Xorg
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-session-bin
Architecture: linux-any
Depends: default-dbus-session-bus | dbus-session-bus,
         gsettings-desktop-schemas,
         upower,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-logind | logind
Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.
