## gnome-session 49~alpha.1

=== debian/changelog ===
gnome-session (49~alpha.1-0ubuntu1) questing; urgency=medium

  * New upstream release
    - Fixes logout/shutdown (LP: #2118739)
  * d/p/u/remove_session_saving_from_gui.patch:
    - Drop because applied upstream
  * d/p/revert_remove_gnome_session_properties.patch:
    - Drop for moving to gnome-control-center
  * d/p/u/ubuntu-sessions.patch: Rework for new mesonfile
  * d/p: Refresh all other patches
  * d/control: Drop xorg sessions
  * d/control: Drop gnome-startup-applications, moving to gnome-control-center
  * d/control: Build-depends on gtk4 for fail-whale
  * d/control: Drop x11 build-depends
  * d/install: Drop removed hardware-compatibility script
  * d/install: Drop unused run-systemd-session script
  * d/install: Drop removed AUTHORS doc file
  * d/install: Rename systemd override for application scopes
  * d/install: Use gnome-mimeapps.list from upstream
  * d/install: Add ubuntu-mimeapps.list with Ubuntu-specific defaults

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 31 Jul 2025 16:46:26 +0200

gnome-session (48.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian.
    - Includes fix for shutting down GNOME Shell (LP: #2118739)
  * Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 25 Jul 2025 16:48:43 +0200
