=== debian/control ===
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-migrations,
               dh-sequence-gnome,
               libdbus-1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libgnome-desktop-4-dev,
               libgtk-4-dev,
               libice-dev,
               libjson-glib-dev,
               libsm-dev,
               libsystemd-dev,
               meson,
               systemd-dev,
               xmlto,
               xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
Homepage: https://gitlab.gnome.org/GNOME/gnome-session

Package: gnome-session
Architecture: all
Depends: adwaita-icon-theme,
         fonts-cantarell,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon,
         gnome-shell,
         libjxl-gdk-pixbuf,
         xdg-desktop-portal-gnome,
         xwayland,
         ${misc:Depends}
Suggests: desktop-base,
          gnome-keyring
Breaks: ubuntu-session-xsession (<< 49~)
Replaces: ubuntu-session-xsession (<< 49~)
Description: GNOME Session Manager - default GNOME session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: ubuntu-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         xdg-desktop-portal-gnome,
         xwayland,
         yaru-theme-gnome-shell (>= 20.04.3~),
         ${misc:Depends}
Recommends: python3,
            session-migration,
Breaks: ubuntu-session-xsession (<< 49~)
Replaces: ubuntu-session-xsession (<< 49~)
Description: Ubuntu session with GNOME Shell
 This package contains the required components for a GNOME session
 with default Ubuntu configuration, based on the GNOME Shell.

Package: gnome-session-bin
Architecture: linux-any
Depends: default-dbus-session-bus | dbus-session-bus,
         gsettings-desktop-schemas,
         upower,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-logind | logind
Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~),
        gnome-startup-applications (<< 49~)
Replaces: gnome-startup-applications (<< 49~)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.
