## gnome-session 49~beta

=== debian/changelog ===
gnome-session (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/data: Delete unused Unity files
  * d/p/u/support_autostart_delay.patch:
    - Drop patch because gnome-session is no longer autostarting services
      via desktop files
  * d/p: Rebase patches
  * d/control: Breaks gdm3 and gnome-initial-setup

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 05 Aug 2025 14:39:13 +0200
