## gnome-session 49~rc

=== debian/changelog ===
gnome-session (49~rc-0ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/ubuntu-session.migrations: Remove reference to old unity migration script

  [ Alessandro Astone ]
  * New upstream release
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 16:30:31 +0200
