=== debian/control ===
--- 
+++ 
@@ -82,6 +82,8 @@
          ${shlibs:Depends}
 Recommends: default-logind | logind
 Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~),
+        gdm3 (<< 49~beta),
+        gnome-initial-setup (<< 49~beta),
         gnome-startup-applications (<< 49~)
 Replaces: gnome-startup-applications (<< 49~)
 Description: GNOME Session Manager - Minimal runtime
