=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,13 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dman=true \
-		-Dx11=true
 
 execute_before_dh_install:
 	cd debian/tmp/usr/share; \
+	bash -c 'shopt -s nullglob; \
 	for f in wayland-sessions/*.desktop xsessions/*.desktop applications/*.desktop; do \
 		echo X-Ubuntu-Gettext-Domain=gnome-session-$(GS_MAJOR_VERSION) >> "$$f"; \
-	done
+	done'
 
 execute_after_dh_auto_build:
 	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-session-$(GS_MAJOR_VERSION)-pot
