## gnome-session 49.0

=== meson_options.txt ===
option('deprecation_flags', type: 'boolean', value: false, description: 'use *_DISABLE_DEPRECATED flags')
option('systemduserunitdir', type: 'string', description: 'Directory for systemd user service files')
option('docbook', type: 'boolean', value: true, description: 'build documentation')
option('man', type: 'boolean', value: true, description: 'build documentation (requires xmlto)')
option('x11', type: 'boolean', value: false, description: 'enable x11 session support')
option('mimeapps', type: 'boolean', value: true, description: 'install default gnome-mimeapps.list')
