=== debian/changelog ===
gnome-session (49.0-1ubuntu2) questing; urgency=medium

  * d/ubuntu-mimeapps.list: Default to Totem for media files

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 01 Oct 2025 19:22:16 +0200

gnome-session (49.0-1ubuntu1) questing; urgency=medium

  * Merge with debian for new bugfix release (LP: #2125398).
    Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/debian/Revert-main-Remove-GNOME_DESKTOP_SESSION_ID-envvar.patch:
      + revert removal of GNOME_DESKTOP_SESSION_ID not to break apps using it
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 14:02:44 +0200

gnome-session (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum glib
  * Remove gnome-session-xsession: it is no longer available

  [ Alessandro Astone ]
  * d/p: Refresh patches
  * d/control: Build-depends on gtk4 for fail-whale
  * d/control: Drop x11 build-depends
  * d/install: Drop removed hardware-compatibility script
  * d/install: Drop removed AUTHORS doc file
  * d/install: Rename systemd override for application scopes
  * d/install: Use gnome-mimeapps.list from upstream
  * d/control: Breaks gdm3 and gnome-initial-setup

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 20:52:47 -0400
