=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libdbus-1-dev,
                libgl-dev,
                libgles-dev,
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.82.0),
                libgnome-desktop-4-dev,
                libgtk-4-dev,
                libice-dev,
@@ -82,10 +82,10 @@
          ${shlibs:Depends}
 Recommends: default-logind | logind
 Breaks: phosh (<< 0.37.0-2~), budgie-desktop (<< 10.8.2-3~),
-        gdm3 (<< 49~beta),
-        gnome-initial-setup (<< 49~beta),
-        gnome-startup-applications (<< 49~)
-Replaces: gnome-startup-applications (<< 49~)
+        gdm3 (<< 49),
+        gnome-initial-setup (<< 49),
+        gnome-startup-applications (<< 49)
+Replaces: gnome-startup-applications (<< 49)
 Description: GNOME Session Manager - Minimal runtime
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at
